# Originally imported from mageia

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An editor for the GConf configuration system
Name:		gconf-editor
Version:	3.0.1
Release:	%mkrel 2
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
#------------------------------------
BuildRequires: GConf2-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils 
BuildRequires: libxslt-proc
BuildRequires: libgtk+3.0-devel
#------------------------------------
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
Editor for the GConf configuration system.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -rf %{buildroot}/var/lib/scrollkeeper

desktop-file-install --vendor="" \
  --remove-category="System" \
  --add-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*-C.omf


%changelog
* Mon Nov 13 2018 adrianomorselli <adrianomorselli> 3.0.1-2uplos2018
- update
- clean up BR
